Bug 1121668 - ata1.00: failed to enable AA (error_mask=0x1)
Summary: ata1.00: failed to enable AA (error_mask=0x1)
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 14:32 UTC by Adriano
Modified: 2015-07-07 06:32 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-10 15:02:29 UTC


Attachments (Terms of Use)
full output of dmesg (55.02 KB, text/plain)
2014-07-21 14:32 UTC, Adriano
no flags Details
output of smartctl on the first drive (/dev/sda) (4.89 KB, text/plain)
2014-07-21 14:33 UTC, Adriano
no flags Details
smartctl on /dev/sdb (5.09 KB, text/plain)
2014-07-21 14:34 UTC, Adriano
no flags Details
smartctl on /dev/sdc (5.09 KB, text/plain)
2014-07-21 14:34 UTC, Adriano
no flags Details
smartctl on /dev/sda (5.04 KB, text/plain)
2014-07-30 09:46 UTC, Fabio Cecamore
no flags Details
smartctl on /dev/sdb (5.43 KB, text/plain)
2014-07-30 09:47 UTC, Fabio Cecamore
no flags Details
smartctl on /dev/sdc (5.05 KB, text/plain)
2014-07-30 09:47 UTC, Fabio Cecamore
no flags Details
smartctl on /dev/sdd (5.05 KB, text/plain)
2014-07-30 09:47 UTC, Fabio Cecamore
no flags Details

Description Adriano 2014-07-21 14:32:04 UTC
Created attachment 919639 [details]
full output of dmesg

Description of problem:
It' s extremely similar to this one 
https://bugzilla.redhat.com/show_bug.cgi?id=907193

Only the drives are different.

Additional info:

Comment 1 Adriano 2014-07-21 14:33:36 UTC
Created attachment 919640 [details]
output of smartctl on the first drive (/dev/sda)

Comment 2 Adriano 2014-07-21 14:34:08 UTC
Created attachment 919641 [details]
smartctl on /dev/sdb

Comment 3 Adriano 2014-07-21 14:34:37 UTC
Created attachment 919642 [details]
smartctl on /dev/sdc

Comment 4 Fabio Cecamore 2014-07-30 09:42:43 UTC
Same errors at my HP ProLiant MicroServer.

The errors are:
[    3.404137] ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[    3.404174] ata3: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[    3.404726] ata3.00: ATA-9: WDC WD20EZRX-00D8PB0, 80.00A80, max UDMA/133
[    3.404732] ata3.00: 3907029168 sectors, multi 0: LBA48 NCQ (depth 31/32), AA
[    3.405072] ata1.00: ATA-8: WDC WD5003AZEX-00K1GA0, 80.00A80, max UDMA/133
[    3.405077] ata1.00: 976773168 sectors, multi 0: LBA48 NCQ (depth 31/32), AA
[    3.405328] ata3.00: configured for UDMA/133
[    3.406725] ata1.00: configured for UDMA/133
[    3.407036] scsi 0:0:0:0: Direct-Access     ATA      WDC WD5003AZEX-0 80.0 PQ: 0 ANSI: 5
[    3.412128] ata2: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[    3.412169] ata4: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[    3.412757] ata2.00: failed to enable AA (error_mask=0x1)
[    3.412802] ata2.00: ATA-8: VB0250EAVER, HPG7, max UDMA/100
[    3.412806] ata2.00: 488397168 sectors, multi 0: LBA48 NCQ (depth 31/32)
[    3.413223] ata4.00: ATA-8: WDC WD10EZRX-00A8LB0, 01.01A01, max UDMA/133
[    3.413228] ata4.00: 1953525168 sectors, multi 0: LBA48 NCQ (depth 31/32), AA
[    3.413663] ata2.00: failed to enable AA (error_mask=0x1)
[    3.413712] ata2.00: configured for UDMA/100
[    3.414009] scsi 1:0:0:0: Direct-Access     ATA      VB0250EAVER      HPG7 PQ: 0 ANSI: 5
[    3.414397] ata4.00: configured for UDMA/133
[    3.414431] scsi 2:0:0:0: Direct-Access     ATA      WDC WD20EZRX-00D 80.0 PQ: 0 ANSI: 5
[    3.414829] scsi 3:0:0:0: Direct-Access     ATA      WDC WD10EZRX-00A 01.0 PQ: 0 ANSI: 5

Comment 5 Fabio Cecamore 2014-07-30 09:46:35 UTC
Created attachment 922475 [details]
smartctl on /dev/sda

Comment 6 Fabio Cecamore 2014-07-30 09:47:03 UTC
Created attachment 922476 [details]
smartctl on /dev/sdb

Comment 7 Fabio Cecamore 2014-07-30 09:47:23 UTC
Created attachment 922477 [details]
smartctl on /dev/sdc

Comment 8 Fabio Cecamore 2014-07-30 09:47:51 UTC
Created attachment 922478 [details]
smartctl on /dev/sdd

Comment 9 Justin M. Forbes 2014-11-13 16:03:32 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 10 Justin M. Forbes 2014-12-10 15:02:29 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 11 Aleksei Mamlin 2015-07-07 06:32:46 UTC
This bug still exists on latest kernels(4.0 and 4.1). It seems that it's a harddisk firmware bug.

While bug similar to https://bugzilla.redhat.com/show_bug.cgi?id=907193 but for other harddisk, I prepare patch and test it on my HP Microserver G7 N54L( harddisk comes with server).

Patch already sent to ML: https://lkml.org/lkml/2015/7/1/235


Note You need to log in before you can comment on or make changes to this bug.